Skip to main content
`Ctrl`+`K`

# Param

class astropy.io.votable.tree.Param(votable, ID=None, name=None, value=None, datatype=None, arraysize=None, ucd=None, unit=None, width=None, precision=None, utype=None, type=None, id=None, config=None, pos=None, **extra)

  Bases: `Field`

  PARAM element: constant-valued columns in the data.

  `Param` objects are a subclass of `Field`, and have all of its methods and members. Additionally, it defines `value`.

  Attributes Summary

  `value` | [required] The constant value of the parameter.

  Methods Summary

  `to_xml`(w, **kwargs) | For internal use.

  Attributes Documentation

  value

    [required] The constant value of the parameter. Its type is determined by the `datatype` member.

  Methods Documentation

  to_xml(w, **kwargs)

    For internal use. Output the element to XML.

    Parameters:
      w `astropy.utils.xml.writer.XMLWriter` `object`

        An XML writer to write to.

      **kwargs `python:dict`

        Any configuration parameters to control the output.